Package Details: rua 0.15.2-1

Git Clone URL: https://aur.archlinux.org/rua.git (read-only)
Package Base: rua
Description: AUR helper in Rust providing control, review, patch application and safe build options
Upstream URL: https://github.com/vn971/rua
Keywords: aur rust
Licenses: GPL3
Submitter: vasya
Maintainer: vasya
Last Packager: vasya
Votes: 7
Popularity: 1.43
First Submitted: 2018-10-29 14:26
Last Updated: 2019-11-26 18:46

Dependencies (8)

Required by (0)

Sources (1)

Pinned Comments

vasya commented on 2019-10-25 08:21

Those who upgraded pacman in the last days will notice that RUA becomes broken. This is caused by a change in pacman-s underlying library, "libalpm".

You need to install RUA version 0.14.16 or newer to make it work with newest pacman. You can use makepkg -si or cargo install --force rua to re-build RUA, as per instructions here: https://github.com/vn971/rua#install-dependencies

Latest Comments

« First ‹ Previous 1 2 3

vasya commented on 2018-10-30 16:19

Morganamilo: the package does in fact depend on cargo, which is provided by both rust and rustup. So if you have rust installed, everything will work just fine for you.

If, however, you decide to go with rustup, you NEED to also download&install the stable version using rustup itself. This is a rustup limitation, not mine.

EDIT: in other words, users that decide to use rustup cannot just install it via pacman and be ready to build.:( The missing steps are ensured by this PKGBUILD.

Morganamilo commented on 2018-10-30 15:41

Whats up with the rustup calls? Why not just depend on rust? I don't see any reason a pkgbuild should trigger an update/install of something. Especially something not managed by pacman.